### Method

# Gsk Transformtransform_bounds

#### Declaration [src]

    void
    gsk_transform_transform_bounds (
      GskTransform* self,
      const graphene_rect_t* rect,
      graphene_rect_t* out_rect
    )

#### Description [src]

Transforms a `graphene_rect_t` using the given transform `self`.

The result is the bounding box containing the coplanar quad.

#### Parameters

`rect`

  Type: `graphene_rect_t`

  A `graphene_rect_t`

  The data is owned by the caller of the method.

`out_rect`

  Type: `graphene_rect_t`

  Return location for the bounds of the transformed rectangle.

  The argument will be set by the function.
  The data is owned by the instance.